SynapSynapDocs
Hub REST API

Subscriptions

The Subscriptions operations of the Hub REST API (2 operations).

For BuildersOpen-source podSynap CloudGenerated from Synap-core/backend@c31e261ab (main)
GET
/subscriptions

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Pod API key (Bearer) issued via /api/hub/setup/agent or pod admin tooling. Browser/web clients may use the X-Session-Token header instead. See GET /api/hub/auth/status to introspect the calling key.

Query Parameters

workspaceId?string
limit?number
Range1 <= value <= 500
kind?string
Value in"automation""ai_feed""ai_react""notify""webhook""message_out"
eventType?string
lens?string
Value in"all""internal""external"

Response Body

Pulse feed

application/json
  1. response
[key: string]?unknown
Example Request
curl -X GET 'https://pod.example.com/api/hub/subscriptions'
Example Response
{  "property1": null,  "property2": null}
GET
/subscriptions/{eventId}/fanout

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Pod API key (Bearer) issued via /api/hub/setup/agent or pod admin tooling. Browser/web clients may use the X-Session-Token header instead. See GET /api/hub/auth/status to introspect the calling key.

Path Parameters

eventId*string

Query Parameters

lens?string
Value in"all""internal""external"

Response Body

ReactionEvent

application/json
  1. response
[key: string]?unknown
Example Request
curl -X GET 'https://pod.example.com/api/hub/subscriptions/string/fanout'
Example Response
{  "property1": null,  "property2": null}